summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-03-18 00:13:26 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-03-18 00:13:26 (EDT)
commita8d3f405ee7364423fd964c8b7b0b462bd524c1b (patch)
tree9c0dec30e417901b0f548b84354fd1af3a517b83 /tests
parentba2f0fc68ebbc18c2b7bac6acae2bc65f33f61b8 (diff)
tests/exe/ob-installdocs.sh: New test file
Diffstat (limited to 'tests')
-rwxr-xr-xtests/exe/ob-installdocs.sh41
-rw-r--r--tests/local.mk3
2 files changed, 43 insertions, 1 deletions
diff --git a/tests/exe/ob-installdocs.sh b/tests/exe/ob-installdocs.sh
new file mode 100755
index 0000000..96c3244
--- /dev/null
+++ b/tests/exe/ob-installdocs.sh
@@ -0,0 +1,41 @@
+# Tests for ob-installdocs
+#
+# Copyright (C) 2019 Patrick McDermott
+#
+# This file is part of opkbuild.
+#
+# opkbuild is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# opkbuild is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
+. "${TOP_SRCDIR}/tests/aux/common.sh"
+
+plan_ 10
+
+rm -Rf *'.data/'
+
+command_ok_ 'ob-installdocs first run exit status' -- ob-installdocs
+for f in 'copyright' 'changelog.dist' 'README.upstream'; do
+ command_ok_ "${f} file installed" -- \
+ [ -f "foo.data/usr/share/doc/foo/${f}" ]
+done
+command_ok_ 'link created' -- [ -L 'bar.data/usr/share/doc/bar' ]
+
+command_ok_ 'ob-installdocs second run exit status' -- ob-installdocs
+for f in 'copyright' 'changelog.dist' 'README.upstream'; do
+ command_ok_ "${f} file installed" -- \
+ [ -f "foo.data/usr/share/doc/foo/${f}" ]
+done
+command_ok_ 'link created' -- [ -L 'bar.data/usr/share/doc/bar' ]
diff --git a/tests/local.mk b/tests/local.mk
index 0438f58..589dbc4 100644
--- a/tests/local.mk
+++ b/tests/local.mk
@@ -8,7 +8,8 @@ TESTS = \
%reldir%/exe/opkbuild_version.sh \
%reldir%/exe/ob-buildenv.sh \
%reldir%/exe/ob-unpacksource.sh \
- %reldir%/exe/ob-applypatches.sh
+ %reldir%/exe/ob-applypatches.sh \
+ %reldir%/exe/ob-installdocs.sh
TEST_EXTENSIONS = .sh
SH_LOG_DRIVER = \
AM_TAP_AWK='$(AWK)' \